Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## org.gradle.api.tasks.testing
[Java] Interface TestTaskReports

    org.gradle.api.NamedDomainObjectSet
      org.gradle.util.Configurable
          java.lang.Iterable
              org.gradle.api.NamedDomainObjectCollection
                  org.gradle.api.DomainObjectCollection
                      org.gradle.api.reporting.ReportContainer
                          org.gradle.api.tasks.testing.TestTaskReports
                              java.util.Collection

All Superinterfaces:
  NamedDomainObjectSet, Configurable, Iterable, NamedDomainObjectCollection, DomainObjectCollection, ReportContainer, Collection

    public interface TestTaskReports
    extends ReportContainer

The reports produced by the Test task.

Method Summary
`DirectoryReport` | `getHtml()` A HTML report indicate the results of the test execution.
`JUnitXmlReport` | `getJunitXml()` The test results in “JUnit XML” format.

Methods inherited from interface ReportContainer
getEnabled

Methods inherited from interface NamedDomainObjectSet
findAll, matching, matching, withType

Method Detail

### getHtml

    public DirectoryReport getHtml()

  A HTML report indicate the results of the test execution.
  Returns:
    The HTML report

### getJunitXml

    public JUnitXmlReport getJunitXml()

  The test results in “JUnit XML” format.
  Returns:
    The test results in “JUnit XML” format

Gradle API 1.10